Форум русскоязычного сообщества Ubuntu


За новостями русскоязычного сообщества и Ubuntu в целом можно следить на нашей страничке в Google+

Автор Тема: Установка DEB пакетов i386 под X64 системы  (Прочитано 3209 раз)

0 Пользователей и 1 Гость просматривают эту тему.

Оффлайн TritonK6

  • Автор темы
  • Новичок
  • *
  • Сообщений: 38
    • Просмотр профиля
В общем можно ли поставить deb пакет подписанный на платформу i386 на x86-64 систему?

Оффлайн Lordwind

  • Активист
  • *
  • Сообщений: 447
  • глюкоборец
    • Просмотр профиля
Re: Установка DEB пакетов i386 под X64 системы
« Ответ #1 : 04 Апрель 2010, 15:47:26 »
ошибся разделом

sudo dpkg --force-architecture -i ПАКЕТ
К линуксу необходимы прямые руки и крепкие нервы. Причем чем кривее руки, тем крепче должны быть нервы (ц)

Оффлайн TritonK6

  • Автор темы
  • Новичок
  • *
  • Сообщений: 38
    • Просмотр профиля
Re: Установка DEB пакетов i386 под X64 системы
« Ответ #2 : 04 Апрель 2010, 16:29:54 »
большое спасибо...помогло

Пользователь решил продолжить мысль 04 Апрель 2010, 16:34:54:
еще момент. При запуске (смотрел через терминал) пишет. что ему чегото не хватает.
user-pc@user-pc-desktop:~$ modernforex
modernforex: error while loading shared libraries: libqt-mt.so.3: cannot open shared object file: No such file or directory
user-pc@user-pc-desktop:~$ libqt-mt.so.3
libqt-mt.so.3: command not found
« Последнее редактирование: 04 Апрель 2010, 16:34:54 от TritonK6 »

Оффлайн Lordwind

  • Активист
  • *
  • Сообщений: 447
  • глюкоборец
    • Просмотр профиля
Re: Установка DEB пакетов i386 под X64 системы
« Ответ #3 : 04 Апрель 2010, 16:44:22 »
ia32-libs поставь
К линуксу необходимы прямые руки и крепкие нервы. Причем чем кривее руки, тем крепче должны быть нервы (ц)

Оффлайн TritonK6

  • Автор темы
  • Новичок
  • *
  • Сообщений: 38
    • Просмотр профиля
Re: Установка DEB пакетов i386 под X64 системы
« Ответ #4 : 04 Апрель 2010, 16:56:51 »
ia32-libs поставь
Не. Уже стоит последняя версия

Пользователь решил продолжить мысль 04 Апрель 2010, 17:42:46:
Все! Нужно было воспользоватся этим мануалом  http://ubuntuforums.org/showthread.php?t=474790# и поставить нужную библиотеку
« Последнее редактирование: 04 Апрель 2010, 17:42:46 от TritonK6 »

 

Страница сгенерирована за 0.056 секунд. Запросов: 22.